# -*- coding: utf-8 -*-

from django.conf import settings
from django.contrib.auth.models import User, check_password
import tripleStore.VirtuosoHelper as VH
import tripleStore.oauth.settings as osettings

class VirtuosoUser():
	def authenticate(self, username="", password=""):
		u = User()
		c = VH.userLogin(username, password)
		if c is None:
			return None
		u.username = username
		u.email = c[2]
		u.user_id = c[0]
		return u

	def get_user(self, user_id):
		u = User()
		c = VH.getUserById(user_id)
		if c is None:
			return None
		u.id = c[0]
		u.username = c[1]
		u.email = c[2]
		return u

	def login(request, user):
		import copy
		u = copy.deepcopy(user)
		return u

	def is_authenticated(request, user):
		return True
